The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / mosquitto / S50mosquitto
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/mosquitto/S50mosquitto b/cirros-testvm/src-cirros/buildroot-2015.05/package/mosquitto/S50mosquitto
new file mode 100644 (file)
index 0000000..9f10cce
--- /dev/null
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+start() {
+       echo -n "Starting mosquitto: "
+       start-stop-daemon -S -q -m -b -p /var/run/mosquitto.pid \
+               --exec /usr/sbin/mosquitto \
+               -- -c /etc/mosquitto/mosquitto.conf
+       [ $? = 0 ] && echo "OK" || echo "FAIL"
+}
+stop() {
+       echo -n "Stopping mosquitto: "
+       start-stop-daemon -K -q -p /var/run/mosquitto.pid
+       [ $? = 0 ] && echo "OK" || echo "FAIL"
+}
+restart() {
+       stop
+       start
+}
+
+case "$1" in
+  start)
+       start
+       ;;
+  stop)
+       stop
+       ;;
+  restart|reload)
+       restart
+       ;;
+  *)
+       echo "Usage: $0 {start|stop|restart}"
+       exit 1
+esac
+
+exit $?